<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetAPISRules StructType
 * @package Dg
 * @subpackage Structs
 */
class DgGetAPISRules extends AbstractStructBase
{
    /**
     * The APISRulesRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgAPISRulesRQ
     */
    public $APISRulesRQ;
    /**
     * Constructor method for GetAPISRules
     * @uses DgGetAPISRules::setAPISRulesRQ()
     * @param \dgsoft\StructType\DgAPISRulesRQ $aPISRulesRQ
     */
    public function __construct(\dgsoft\StructType\DgAPISRulesRQ $aPISRulesRQ = null)
    {
        $this
            ->setAPISRulesRQ($aPISRulesRQ);
    }
    /**
     * Get APISRulesRQ value
     * @return \dgsoft\StructType\DgAPISRulesRQ|null
     */
    public function getAPISRulesRQ()
    {
        return $this->APISRulesRQ;
    }
    /**
     * Set APISRulesRQ value
     * @param \dgsoft\StructType\DgAPISRulesRQ $aPISRulesRQ
     * @return \dgsoft\StructType\DgGetAPISRules
     */
    public function setAPISRulesRQ(\dgsoft\StructType\DgAPISRulesRQ $aPISRulesRQ = null)
    {
        $this->APISRulesRQ = $aPISRulesRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgGetAPISRules
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
